<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.
/**
*
* Field: spinner
*
* @since 1.0.0
* @version 1.0.0
*
*/
if (!class_exists( 'CSFramework_Option_spinner' )){
	class CSFramework_Option_spinner extends CSFramework_Options {
		
		public function __construct( $field, $value = '', $unique = ''){
			parent::__construct( $field, $value, $unique);
		}

		static function init(){
			/**
			 * Register Hooks
			 */
	
			// Register Field Assets - Styles and Scripts
			add_filter('csf_register_framework_assets',array( 'CSFramework_Option_spinner', 'register_assets' ),100);
		}

		static public function register_assets($styles_scripts){
			$styles = $styles_scripts[0];
			$scripts = $styles_scripts[1];

			wp_enqueue_script( 'jquery-ui-spinner' );

			$url = CSF_URI . '/fields/spinner/';

			$styles['csf-field-spinner'] = array(
				$url . 'css/styles.css',
				array(),
				'1.0.0',
				false,
			);
	
			$scripts['csf-field-spinner'] = array(
				$url . 'js/scripts.js',
				array( 'csf-plugins' ),
				'1.0.0',
				false,
			);
	
			return array($styles,$scripts);
		}
		
		/**
		 * Field Output
		 */
		public function output(){
			$settings = array(
				'max'  => 100,
				'min'  => 0,
				'step' => 1,
				'unit' => '',
			);

			$settings = wp_parse_args($this->field['settings'], $settings);
			
			echo $this->element_before();
			echo '<div class="csf--spin">';
			echo '<input type="text" name="'. $this->element_name() .'" value="'. $this->value .'"'. $this->element_class() . $this->element_attributes( array( 'class' => 'csf-number' ) ) .' data-max="'. $settings['max'] .'" data-min="'. $settings['min'] .'" data-step="'. $settings['step'] .'"/>';
			echo ( ! empty( $settings['unit'] ) ) ? '<div class="csf--unit">'. $settings['unit'] .'</div>' : '';
			echo '</div>';
			echo '<div class="clear"></div>';
			echo $this->element_after();
			
		}
		
	}
}


CSFramework_Option_spinner::init();